Summary: An ircII chat client.
Name: epic
%define prog_version 4pre2
%define help_version 4pre2
Version: %{prog_version}
Release: 4
Copyright: Distributable
Group: Applications/Communications
Source0: ftp://ftp.epicsol.org/pub/epic/epic%{prog_version}.tar.bz2
Source1: ftp://ftp.epicsol.org/pub/epic/epic%{help_version}-help.tar.gz
Source2: epic.wmconfig
Source3: ircII.servers
Source4: splitfire.irc
URL: http://www.epicsol.org/
Patch0: ircii-EPIC-global.patch
Patch1: ftp://ftp.epicsol.org/pub/epic/epic4pre2-patch1a
Patch2: ftp://ftp.epicsol.org/pub/epic/epic4pre2-patch1b
Buildroot: /var/tmp/epic-buildroot
Conflicts: ircii
Conflicts: ircii-EPIC



%description
EPIC (Enhanced Programmable ircII Client) is an advanced ircII chat
client.  Chat clients connect to servers around the world, enabling
you to chat with other people.

%prep 
%setup -q -n ircii-EPIC%{prog_version} -T -b 0
%setup -q -n ircii-EPIC%{prog_version} -T -D -a 1
pushd source
%patch1 -p0
%patch2 -p0
popd
%patch0 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install installhelp prefix=$RPM_BUILD_ROOT/usr
ln -sf irc-EPIC%{prog_version} $RPM_BUILD_ROOT/usr/bin/irc
install -d $RPM_BUILD_ROOT/usr/man/man1
install doc/ircII.1 $RPM_BUILD_ROOT/usr/man/man1
ln -s ircII.1 $RPM_BUILD_ROOT/usr/man/man1/irc.1
install $RPM_SOURCE_DIR/ircII.servers $RPM_BUILD_ROOT/usr/lib/irc/
install $RPM_SOURCE_DIR/splitfire.irc $RPM_BUILD_ROOT/usr/lib/irc/script

install -d "$RPM_BUILD_ROOT/etc/X11/wmconfig"
install $RPM_SOURCE_DIR/epic.wmconfig "$RPM_BUILD_ROOT/etc/X11/wmconfig/epic"

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL UPDATES KNOWNBUGS BUG_FORM doc
%attr(755,root,root) /usr/bin/*
%dir /usr/lib/irc
%config(noreplace) /usr/lib/irc/ircII.servers
%dir %attr(755,root,root) /usr/lib/irc/script
%attr(644,root,root) /usr/lib/irc/script/*
/usr/man/man1
/etc/X11/wmconfig/epic
/usr/lib/irc/help

%changelog
* Tue Jul 13 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 22 1998 <msw@redhat.com>
- Copy the splitfire script into the right directory
- Fixed diretory attributes.

* Wed Oct 21 1998 <msw@redhat.com>
- Rebuilt, moved help into main package.

* Thu Aug 18 1998 Manoj Kasichainula <manojk+rpm@io.com>
- Updated prog and help to 4pre2
- renamed to epic, since the web page doesn't call it ircii-epic.
- Use %defattr
- Changed server list, since current one seems out of date
- Other minor changes

* Sun May 17 1998 Manoj Kasichainula <manojk+rpm@io.com>
- Added help package (though a bit out of date)
- Uses bz2 file (needs bzip2 now)
- Minor spec file changes

* Sat May  9 1998 Anders Andersson <anders@sanyusan.se>
- Upgraded to pre1.200

* Tue Apr 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Upgraded to pre1.100
- Build for RH5
- Complex changes of %install

* Sat Mar 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Upgraded to pre1.049

* Sat Mar 21 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Initial release (pre1.047)
- Small patch to disable loading local-script in global file
